Subject: bug#71577: Some Images jobset lack artifacts

From: Vincent Legoll <[email-masked]>
Date: Sat, 15 Jun 2024 19:43:17 +0000

Hello,

I wanted to try a fresh guix in a VM, but the "Download / Latest"
page (1) does not have the:
"QCOW2 virtual machine (VM) image"
"GNU Guix 1.4.0 QEMU Image"
that is available on the "Download / Standard" page (2)

BTW, DL latest page also lacks checksum files to verify integrity.

So I looked at the CI, in the images jobset page (3), and strangely,
some jobs have "Build outputs" download links (but no checksum either),
whereas some other only have "Outputs" which is a store file path:

have downloadable artifacts:
    hurd-barebones.qcow2
    iso9660-image
    pine64-barebones-raw-image
    pinebook-pro-barebones-raw-image

no downloadable artifacts:
    novena-barebones-raw-image
    disk-image

Is that intended or an oversight ?

I think if this is fixed (missing artifacts and checksums), that page
could replace the "Download / Latest" one and the menu link could
directly link here.

WDYT ?

(1) - https://guix.gnu.org/en/download/latest
(2) - https://guix.gnu.org/en/download
(3) - https://ci.guix.gnu.org/jobset/images

-- 
Vincent Legoll